Heartbeats
Update a heartbeat
Update a specific heartbeat by id
PUT
/
v1
/
heartbeats
/
{id}
Update a heartbeat
curl --request PUT \
--url https://api.rootly.com/v1/heartbeats/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "heartbeats",
"attributes": {
"name": "<string>",
"description": "<string>",
"alert_summary": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"interval": 123,
"notification_target_id": "<string>",
"owner_group_ids": [
"<string>"
],
"enabled": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "heartbeats",
"attributes": {
"name": "<string>",
"alert_summary": "<string>",
"interval": 123,
"notification_target_id": "<string>",
"enabled": true,
"email_address": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"owner_group_ids": [
"<string>"
],
"ping_url": "<string>",
"secret": "<string>",
"last_pinged_at": "<string>",
"expires_at": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a heartbeat
curl --request PUT \
--url https://api.rootly.com/v1/heartbeats/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "heartbeats",
"attributes": {
"name": "<string>",
"description": "<string>",
"alert_summary": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"interval": 123,
"notification_target_id": "<string>",
"owner_group_ids": [
"<string>"
],
"enabled": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "heartbeats",
"attributes": {
"name": "<string>",
"alert_summary": "<string>",
"interval": 123,
"notification_target_id": "<string>",
"enabled": true,
"email_address": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"owner_group_ids": [
"<string>"
],
"ping_url": "<string>",
"secret": "<string>",
"last_pinged_at": "<string>",
"expires_at": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}